org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_LINKNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_LINKNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_LINKNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_LINKNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_LINKNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_LINKNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindEmphasized(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindHref(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindSubtle(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindTarget(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindText(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `bindWrapping(IDynamicContentBindingObject value)`
    `UI5M_LINKNode` | `setActionListener(java.lang.String value)`
    `UI5M_LINKNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_LINKNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_LINKNode` | `setComment(java.lang.String value)`
    `UI5M_LINKNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_LINKNode` | `setEmphasized(boolean value)`
    `UI5M_LINKNode` | `setEmphasized(java.lang.String value)`
    `UI5M_LINKNode` | `setEnabled(boolean value)`
    `UI5M_LINKNode` | `setEnabled(java.lang.String value)`
    `UI5M_LINKNode` | `setHref(java.lang.String value)`
    `UI5M_LINKNode` | `setId(java.lang.String value)`
    `UI5M_LINKNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_LINKNode` | `setReference(java.lang.String value)`
    `UI5M_LINKNode` | `setRendered(boolean value)`
    `UI5M_LINKNode` | `setRendered(java.lang.String value)`
    `UI5M_LINKNode` | `setStyleseq(java.lang.String value)`
    `UI5M_LINKNode` | `setStylevariant(java.lang.String value)`
    `UI5M_LINKNode` | `setSubtle(boolean value)`
    `UI5M_LINKNode` | `setSubtle(java.lang.String value)`
    `UI5M_LINKNode` | `setTarget(java.lang.String value)`
    `UI5M_LINKNode` | `setText(java.lang.String value)`
    `UI5M_LINKNode` | `setWidth(int value)`
    `UI5M_LINKNode` | `setWidth(java.lang.String value)`
    `UI5M_LINKNode` | `setWrapping(boolean value)`
    `UI5M_LINKNode` | `setWrapping(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_LINKNode

          public UI5M_LINKNode()

  - ### Method Detail

    - #### setId

          public UI5M_LINKNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_LINKNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_LINKNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_LINKNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_LINKNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_LINKNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_LINKNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_LINKNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_LINKNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_LINKNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEmphasized

          public UI5M_LINKNode setEmphasized(java.lang.String value)

    - #### bindEmphasized

          public UI5M_LINKNode bindEmphasized(IDynamicContentBindingObject value)

    - #### setEmphasized

          public UI5M_LINKNode setEmphasized(boolean value)

    - #### setEnabled

          public UI5M_LINKNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5M_LINKNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_LINKNode setEnabled(boolean value)

    - #### setHref

          public UI5M_LINKNode setHref(java.lang.String value)

    - #### bindHref

          public UI5M_LINKNode bindHref(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_LINKNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_LINKNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_LINKNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_LINKNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_LINKNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_LINKNode setRendered(boolean value)

    - #### setStyleseq

          public UI5M_LINKNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_LINKNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_LINKNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_LINKNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setSubtle

          public UI5M_LINKNode setSubtle(java.lang.String value)

    - #### bindSubtle

          public UI5M_LINKNode bindSubtle(IDynamicContentBindingObject value)

    - #### setSubtle

          public UI5M_LINKNode setSubtle(boolean value)

    - #### setTarget

          public UI5M_LINKNode setTarget(java.lang.String value)

    - #### bindTarget

          public UI5M_LINKNode bindTarget(IDynamicContentBindingObject value)

    - #### setText

          public UI5M_LINKNode setText(java.lang.String value)

    - #### bindText

          public UI5M_LINKNode bindText(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_LINKNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_LINKNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_LINKNode setWidth(int value)

    - #### setWrapping

          public UI5M_LINKNode setWrapping(java.lang.String value)

    - #### bindWrapping

          public UI5M_LINKNode bindWrapping(IDynamicContentBindingObject value)

    - #### setWrapping

          public UI5M_LINKNode setWrapping(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.